Loading...
Searching...
No Matches
unibreakbase.h File Reference

Header file for common definitions in the libunibreak library. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | UNIBREAK_VERSION 0x0601
| Version of the libunibreak.
#define | UNIBREAK_UTF_TYPES_DEFINED

## Typedefs

typedef unsigned char | utf8_t
| Type for UTF-8 data points.
typedef unsigned short | utf16_t
| Type for UTF-16 data points.
typedef unsigned int | utf32_t
| Type for UTF-32 data points.

## Variables

const int | unibreak_version
| Version number of the library.

## Detailed Description

Header file for common definitions in the libunibreak library.

Author
  Wu Yongwei

## Macro Definition Documentation

## UNIBREAK_UTF_TYPES_DEFINED

#define UNIBREAK_UTF_TYPES_DEFINED

## UNIBREAK_VERSION

#define UNIBREAK_VERSION 0x0601

Version of the libunibreak.

## Typedef Documentation

## utf16_t

typedef unsigned short utf16_t

Type for UTF-16 data points.

## utf32_t

typedef unsigned int utf32_t

Type for UTF-32 data points.

## utf8_t

typedef unsigned char utf8_t

Type for UTF-8 data points.

## Variable Documentation

## unibreak_version

const int unibreak_version

extern

Version number of the library.